const mysql = require('mysql');
const dbConfig = require('../config/db')
const SQLBuilder = require('json-sql-builder2');
var sql = new SQLBuilder('MySQL');

const pool = mysql.createPool({
    host: dbConfig.host,
    user: dbConfig.username,
    password: dbConfig.password,
    database: dbConfig.database,
    port: 3306
});

//ALTER USER 'root'@'%' IDENTIFIED WITH mysql_native_password BY 'Zz123456zZ';

const query = function (sql,values) {
    return new Promise((resolve, reject) => {
        pool.getConnection((err, connection) => {
            if (err) {
                reject(err);
            } else {
                connection.query(sql, values,(err, rows) => {
                    if (err) {
                        connection.release();
                        reject(err);
                    } else {
                        // console.log( rows );
                        connection.release();
                        resolve(rows);
                    }
                });
            }
        });
    });
};


module.exports = {
    pool,
    query,
    sql
};